org.springframework.web.reactive.config

## Class DelegatingWebFluxConfiguration

- java.lang.Object
- - org.springframework.web.reactive.config.WebFluxConfigurationSupport
  - - org.springframework.web.reactive.config.DelegatingWebFluxConfiguration

All Implemented Interfaces:
  org.springframework.beans.factory.Aware, org.springframework.context.ApplicationContextAware

    @Configuration(proxyBeanMethods=false)
    public class DelegatingWebFluxConfiguration
    extends WebFluxConfigurationSupport

A subclass of `WebFluxConfigurationSupport` that detects and delegates to all beans of type `WebFluxConfigurer` allowing them to customize the configuration provided by `WebFluxConfigurationSupport`. This is the class actually imported by `@EnableWebFlux`.

Since:
  5.0
Author:
  Brian Clozel

### Constructor Summary

Constructors
Constructor and Description
`DelegatingWebFluxConfiguration()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `addCorsMappings(CorsRegistry registry)` Override this method to configure cross origin requests processing.
`protected void` `addFormatters(org.springframework.format.FormatterRegistry registry)` Override this method to add custom `Converter` and/or `Formatter` delegates to the common `FormattingConversionService`.
`protected void` `addResourceHandlers(ResourceHandlerRegistry registry)` Override this method to add resource handlers for serving static resources.
`protected void` `configureArgumentResolvers(ArgumentResolverConfigurer configurer)` Configure resolvers for custom controller method arguments.
`protected void` `configureContentTypeResolver(RequestedContentTypeResolverBuilder builder)` Override to configure how the requested content type is resolved.
`protected void` `configureHttpMessageCodecs(org.springframework.http.codec.ServerCodecConfigurer configurer)` Override to configure the HTTP message readers and writers to use.
`void` `configurePathMatching(PathMatchConfigurer configurer)` Override to configure path matching options.
`protected void` `configureViewResolvers(ViewResolverRegistry registry)` Configure view resolution for supporting template engines.
`protected org.springframework.validation.MessageCodesResolver` `getMessageCodesResolver()` Override this method to provide a custom `MessageCodesResolver`.
`protected org.springframework.validation.Validator` `getValidator()` Override this method to provide a custom `Validator`.
`void` `setConfigurers(List<WebFluxConfigurer> configurers)`

### Methods inherited from class org.springframework.web.reactive.config.WebFluxConfigurationSupport

`createLocaleContextResolver, createRequestMappingHandlerAdapter, createRequestMappingHandlerMapping, createRouterFunctionMapping, getApplicationContext, getConfigurableWebBindingInitializer, getCorsConfigurations, getPathMatchConfigurer, getViewResolverRegistry, handlerFunctionAdapter, localeContextResolver, requestMappingHandlerAdapter, requestMappingHandlerMapping, resourceHandlerMapping, resourceUrlProvider, responseBodyResultHandler, responseEntityResultHandler, responseStatusExceptionHandler, routerFunctionMapping, serverCodecConfigurer, serverResponseResultHandler, setApplicationContext, simpleHandlerAdapter, viewResolutionResultHandler, webFluxAdapterRegistry, webFluxContentTypeResolver, webFluxConversionService, webFluxValidator, webHandler`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DelegatingWebFluxConfiguration

    public DelegatingWebFluxConfiguration()

### Method Detail

#### setConfigurers

    @Autowired(required=false)
    public void setConfigurers(List<WebFluxConfigurer> configurers)

#### configureContentTypeResolver

    protected void configureContentTypeResolver(RequestedContentTypeResolverBuilder builder)

Description copied from class: `WebFluxConfigurationSupport`
Override to configure how the requested content type is resolved.

Overrides:
  `configureContentTypeResolver` in class `WebFluxConfigurationSupport`

#### addCorsMappings

    protected void addCorsMappings(CorsRegistry registry)

Description copied from class: `WebFluxConfigurationSupport`
Override this method to configure cross origin requests processing.

Overrides:
  `addCorsMappings` in class `WebFluxConfigurationSupport`
See Also:
  `CorsRegistry`

#### configurePathMatching

    public void configurePathMatching(PathMatchConfigurer configurer)

Description copied from class: `WebFluxConfigurationSupport`
Override to configure path matching options.

Overrides:
  `configurePathMatching` in class `WebFluxConfigurationSupport`

#### addResourceHandlers

    protected void addResourceHandlers(ResourceHandlerRegistry registry)

Description copied from class: `WebFluxConfigurationSupport`
Override this method to add resource handlers for serving static resources.

Overrides:
  `addResourceHandlers` in class `WebFluxConfigurationSupport`
See Also:
  `ResourceHandlerRegistry`

#### configureArgumentResolvers

    protected void configureArgumentResolvers(ArgumentResolverConfigurer configurer)

Description copied from class: `WebFluxConfigurationSupport`
Configure resolvers for custom controller method arguments.

Overrides:
  `configureArgumentResolvers` in class `WebFluxConfigurationSupport`

#### configureHttpMessageCodecs

    protected void configureHttpMessageCodecs(org.springframework.http.codec.ServerCodecConfigurer configurer)

Description copied from class: `WebFluxConfigurationSupport`
Override to configure the HTTP message readers and writers to use.

Overrides:
  `configureHttpMessageCodecs` in class `WebFluxConfigurationSupport`

#### addFormatters

    protected void addFormatters(org.springframework.format.FormatterRegistry registry)

Description copied from class: `WebFluxConfigurationSupport`
Override this method to add custom `Converter` and/or `Formatter` delegates to the common `FormattingConversionService`.

Overrides:
  `addFormatters` in class `WebFluxConfigurationSupport`
See Also:
  `WebFluxConfigurationSupport.webFluxConversionService()`

#### getValidator

    protected org.springframework.validation.Validator getValidator()

Description copied from class: `WebFluxConfigurationSupport`
Override this method to provide a custom `Validator`.

Overrides:
  `getValidator` in class `WebFluxConfigurationSupport`

#### getMessageCodesResolver

    protected org.springframework.validation.MessageCodesResolver getMessageCodesResolver()

Description copied from class: `WebFluxConfigurationSupport`
Override this method to provide a custom `MessageCodesResolver`.

Overrides:
  `getMessageCodesResolver` in class `WebFluxConfigurationSupport`

#### configureViewResolvers

    protected void configureViewResolvers(ViewResolverRegistry registry)

Description copied from class: `WebFluxConfigurationSupport`
Configure view resolution for supporting template engines.

Overrides:
  `configureViewResolvers` in class `WebFluxConfigurationSupport`
See Also:
  `ViewResolverRegistry`